<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content coverage">
                   <div class="content-data">
















<ol class="breadcrumb">
    <li>Documentation coverage</li>
</ol>

<div>
    <img src="./images/coverage-badge-documentation.svg">
</div>

<table class="table table-bordered coverage" id="coverage-table">
    <thead class="coverage-header">
        <tr>
            <th>File</th>
            <th>Type</th>
            <th>Identifier</th>
            <th style="text-align:right" class="statements" data-sort-default>Statements</th>
        </tr>
    </thead>
    <tbody>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/BallotSelectionPage.html">e2e/page-objects/ballot-selection.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                BallotSelectionPage
            </td>
            <td align="right" data-sort="87">
                <span class="coverage-percent">87 %</span>
                <span class="coverage-count">(7/8)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/BallotPage.html">e2e/page-objects/ballot.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                BallotPage
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(2/2)</span>
            </td>
        </tr>
        <tr class="good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/ChvoteDialog.html">e2e/page-objects/chvote-dialog.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                ChvoteDialog
            </td>
            <td align="right" data-sort="75">
                <span class="coverage-percent">75 %</span>
                <span class="coverage-count">(3/4)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/ControlPage.html">e2e/page-objects/control.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                ControlPage
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(3/3)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/FinalizationPage.html">e2e/page-objects/finalization.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                FinalizationPage
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/IdentificationPage.html">e2e/page-objects/identification.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                IdentificationPage
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/Main.html">e2e/page-objects/main.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                Main
            </td>
            <td align="right" data-sort="60">
                <span class="coverage-percent">60 %</span>
                <span class="coverage-count">(3/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#btoa">e2e/page-objects/main.po.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                btoa
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/SummaryPage.html">e2e/page-objects/summary.po.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                SummaryPage
            </td>
            <td align="right" data-sort="71">
                <span class="coverage-percent">71 %</span>
                <span class="coverage-count">(5/7)</span>
            </td>
        </tr>
        <tr class="good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/Button.html">e2e/shared/button.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                Button
            </td>
            <td align="right" data-sort="75">
                <span class="coverage-percent">75 %</span>
                <span class="coverage-count">(3/4)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/ChvoteCheckbox.html">e2e/shared/chvote-checkbox.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                ChvoteCheckbox
            </td>
            <td align="right" data-sort="33">
                <span class="coverage-percent">33 %</span>
                <span class="coverage-count">(2/6)</span>
            </td>
        </tr>
        <tr class="good">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/InputField.html">e2e/shared/input-field.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                InputField
            </td>
            <td align="right" data-sort="66">
                <span class="coverage-percent">66 %</span>
                <span class="coverage-count">(2/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/UseCaseMetaData.html">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                UseCaseMetaData
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/VotingCard.html">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                VotingCard
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#burnVotingCard">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                burnVotingCard
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#createUseCase">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                createUseCase
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#doRequest">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                doRequest
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#resetDB">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                resetDB
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#setUserStatusInVrum">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                setUserStatusInVrum
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#request">e2e/shared/mock-server.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                request
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/AppComponent.html">src/app/app.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                AppComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/ExternalConfigurationTranslateLoader.html">src/app/core/ExternalConfigurationTranslateLoader.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                ExternalConfigurationTranslateLoader
            </td>
            <td align="right" data-sort="33">
                <span class="coverage-percent">33 %</span>
                <span class="coverage-count">(2/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ActionsOnBallotsComponent.html">src/app/core/actions-on-ballots/actions-on-ballots.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ActionsOnBallotsComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/BaseUrlService.html">src/app/core/base-url/base-url.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                BaseUrlService
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/BusinessErrorDialogComponent.html">src/app/core/business-error-dialog/business-error-dialog.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                BusinessErrorDialogComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteBallotHeaderComponent.html">src/app/core/chvote-ballot-header/chvote-ballot-header.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteBallotHeaderComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteCheckboxComponent.html">src/app/core/chvote-checkbox/chvote-checkbox.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteCheckboxComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteCoatOfArmsComponent.html">src/app/core/chvote-coat-of-arms/chvote-coat-of-arms.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteCoatOfArmsComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteDialogComponent.html">src/app/core/chvote-dialog/chvote-dialog.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteDialogComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteDocumentsComponent.html">src/app/core/chvote-documents/chvote-documents.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteDocumentsComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteExpansionPanelComponent.html">src/app/core/chvote-expansion-panel/chvote-expansion-panel.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteExpansionPanelComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteHelperComponent.html">src/app/core/chvote-helper/chvote-helper.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteHelperComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteSubjectCardComponent.html">src/app/core/chvote-votation-ballot/chvote-subject-card/chvote-subject-card.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteSubjectCardComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/10)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteVariantSubjectCardComponent.html">src/app/core/chvote-votation-ballot/chvote-variant-subject-card/chvote-variant-subject-card.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteVariantSubjectCardComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ChvoteVotationBallotComponent.html">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ChvoteVotationBallotComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/DefaultErrorsComponent.html">src/app/core/default-errors/default-errors.directive.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                DefaultErrorsComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ErrorMessageComponent.html">src/app/core/error-message/error-message.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ErrorMessageComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/HttpRequestErrorProvider.html">src/app/core/http/ErrorInterceptor.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                HttpRequestErrorProvider
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/FieldValidationErrorModel.html">src/app/core/http/field.validation.error.model.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                FieldValidationErrorModel
            </td>
            <td align="right" data-sort="20">
                <span class="coverage-percent">20 %</span>
                <span class="coverage-count">(1/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/GlobalValidationErrorModel.html">src/app/core/http/global.validation.error.model.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                GlobalValidationErrorModel
            </td>
            <td align="right" data-sort="25">
                <span class="coverage-percent">25 %</span>
                <span class="coverage-count">(1/4)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/HttpParameters.html">src/app/core/http/http.parameters.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                HttpParameters
            </td>
            <td align="right" data-sort="50">
                <span class="coverage-percent">50 %</span>
                <span class="coverage-count">(3/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/TechnicalErrorModel.html">src/app/core/http/technical.error.model.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                TechnicalErrorModel
            </td>
            <td align="right" data-sort="25">
                <span class="coverage-percent">25 %</span>
                <span class="coverage-count">(1/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/ValidationErrorModel.html">src/app/core/http/validation.error.model.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                ValidationErrorModel
            </td>
            <td align="right" data-sort="20">
                <span class="coverage-percent">20 %</span>
                <span class="coverage-count">(1/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/LocalizedLabelComponent.html">src/app/core/localized-label/localized-label.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                LocalizedLabelComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/AssetService.html">src/app/core/service/asset.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                AssetService
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/BaseUrlService.html">src/app/core/service/base-url.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                BaseUrlService
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/DocumentationService.html">src/app/core/service/documentation.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                DocumentationService
            </td>
            <td align="right" data-sort="25">
                <span class="coverage-percent">25 %</span>
                <span class="coverage-count">(1/4)</span>
            </td>
        </tr>
        <tr class="good">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FinalizationService.html">src/app/core/service/finalization.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                FinalizationService
            </td>
            <td align="right" data-sort="60">
                <span class="coverage-percent">60 %</span>
                <span class="coverage-count">(3/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/LocalizationService.html">src/app/core/service/localization.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                LocalizationService
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/ProtocolService.html">src/app/core/service/protocol.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                ProtocolService
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/21)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#enableFormComponent">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                enableFormComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#enableFormComponents">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                enableFormComponents
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#focusOnError">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                focusOnError
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#isFormModifiedAndNotSaved">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                isFormModifiedAndNotSaved
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#validateRegex">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                validateRegex
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#labelNotAlreadyUsed">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                labelNotAlreadyUsed
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#REGEX_ALPHA_NUMERICAL_WITH_ACCENT">src/app/core/util/form-utils.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                REGEX_ALPHA_NUMERICAL_WITH_ACCENT
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/FooterDocumentsComponent.html">src/app/footer-zone/footer-documents.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                FooterDocumentsComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/14)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/FooterZoneComponent.html">src/app/footer-zone/footer-zone.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                FooterZoneComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/HeaderZoneComponent.html">src/app/header-zone/header-zone.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                HeaderZoneComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#i18n_global">src/app/i18n/global.i18n.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                i18n_global
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#autoPrefixMissingTranslation">src/app/i18n/i18n.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                autoPrefixMissingTranslation
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#autoPrefixMissingTranslationByLang">src/app/i18n/i18n.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                autoPrefixMissingTranslationByLang
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#deepMergeTranslations">src/app/i18n/i18n.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                deepMergeTranslations
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#baseI18N">src/app/i18n/i18n.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                baseI18N
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#i18n">src/app/i18n/i18n.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                i18n
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ExternalDocument.html">src/app/model/ExternalDocument.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                ExternalDocument
            </td>
            <td align="right" data-sort="25">
                <span class="coverage-percent">25 %</span>
                <span class="coverage-count">(1/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/Ballot.html">src/app/model/ballot.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                Ballot
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#isVotationBallot">src/app/model/ballot.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                isVotationBallot
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/BallotDocumentation.html">src/app/model/documentation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                BallotDocumentation
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/BaseDocumentation.html">src/app/model/documentation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                BaseDocumentation
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Documentation.html">src/app/model/documentation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Documentation
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/HighlightedQuestion.html">src/app/model/documentation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                HighlightedQuestion
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Candidates.html">src/app/model/election.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Candidates
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Election.html">src/app/model/election.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Election
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ElectionBallot.html">src/app/model/election.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                ElectionBallot
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/15)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ElectionList.html">src/app/model/election.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                ElectionList
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/FinalizationLogData.html">src/app/model/finalization-log-data.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                FinalizationLogData
            </td>
            <td align="right" data-sort="33">
                <span class="coverage-percent">33 %</span>
                <span class="coverage-count">(1/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Operation.html">src/app/model/operation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Operation
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Answer.html">src/app/model/votation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Answer
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Subject.html">src/app/model/votation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Subject
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/VariantSubjects.html">src/app/model/votation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                VariantSubjects
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/Votation.html">src/app/model/votation.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                Votation
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/VoterOperationData.html">src/app/model/voter-operation-data.ts</a>
            </td>
            <td>
                interface
            </td>
            <td>
                VoterOperationData
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/IdentificationComponent.html">src/app/operation/1-identification/identification.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                IdentificationComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/11)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/IdentificationService.html">src/app/operation/1-identification/identification.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                IdentificationService
            </td>
            <td align="right" data-sort="25">
                <span class="coverage-percent">25 %</span>
                <span class="coverage-count">(1/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/LegalInformationComponent.html">src/app/operation/2-legal-information/legal-information.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                LegalInformationComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/BallotsListComponent.html">src/app/operation/3-ballots-list/ballots-list.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                BallotsListComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/12)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/GroupedVotationCardComponent.html">src/app/operation/3-ballots-list/grouped-votation-card/grouped-votation-card.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                GroupedVotationCardComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/VotationCardComponent.html">src/app/operation/3-ballots-list/grouped-votation-card/votation-card/votation-card.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                VotationCardComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/SingleBallotCardComponent.html">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                SingleBallotCardComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/VotationBallotComponent.html">src/app/operation/3-ballots-list/votation-ballot/votation-ballot.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                VotationBallotComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/SummaryComponent.html">src/app/operation/4-summary/summary.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                SummaryComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/17)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/ControlComponent.html">src/app/operation/5-control/control.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                ControlComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/11)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/FinalizationComponent.html">src/app/operation/6-finalization/finalization.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                FinalizationComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/CurrentVoting.html">src/app/operation/current-voting-service.ts</a>
            </td>
            <td>
                class
            </td>
            <td>
                CurrentVoting
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/CurrentVotingService.html">src/app/operation/current-voting-service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                CurrentVotingService
            </td>
            <td align="right" data-sort="5">
                <span class="coverage-percent">5 %</span>
                <span class="coverage-count">(1/20)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/OperationComponent.html">src/app/operation/operation.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                OperationComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/OperationService.html">src/app/operation/operation.service.ts</a>
            </td>
            <td>
                injectable
            </td>
            <td>
                OperationService
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/VoteWorkflowStepComponent.html">src/app/operation/vote-workflow-display/vote-workflow-step.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                VoteWorkflowStepComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/VoteWorkflowViewComponent.html">src/app/operation/vote-workflow-display/vote-workflow-view.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                VoteWorkflowViewComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/7)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/SideZoneSectionComponent.html">src/app/side-zone/side-zone-section/side-zone-section.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                SideZoneSectionComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/SideZoneComponent.html">src/app/side-zone/side-zone.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                SideZoneComponent
            </td>
            <td align="right" data-sort="20">
                <span class="coverage-percent">20 %</span>
                <span class="coverage-count">(1/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./components/TechnicalErrorDialogComponent.html">src/app/technical-error-dialog/technical-error-dialog.component.ts</a>
            </td>
            <td>
                component
            </td>
            <td>
                TechnicalErrorDialogComponent
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#convertMomentToDate">src/app/utils/utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                convertMomentToDate
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#padNumber">src/app/utils/utils.ts</a>
            </td>
            <td>
                function
            </td>
            <td>
                padNumber
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#environment">src/environments/environment.prod.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                environment
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#environment">src/environments/environment.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                environment
            </td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#context">src/test.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                context
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#require">src/test.ts</a>
            </td>
            <td>
                variable
            </td>
            <td>
                require
            </td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
    </tbody>
</table>

<script src="js/libs/tablesort.min.js"></script>
<script src="js/libs/tablesort.number.min.js"></script>
<script>
    new Tablesort(document.getElementById('coverage-table'));
</script>

                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'coverage';
            var COMPODOC_CURRENT_PAGE_URL = 'coverage.html';
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
